CVE-2004-2490
CVSS4.6
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 23:07:04
NMCO    

[原文]Buffer overflow in IBM Informix Dynamic Server (IDS) 9.40.xC1 and 9.40.xC2 allows local users to execute arbitrary code via a long GL_PATH environment variable.


[CNNVD]IBM Informix多个本地权限提升漏洞(CNNVD-200412-1181)

        
        IBM Informix Dynamic Server是一款动态数据库管理软件,Informix Extended Parallel Server(XPS) 是并行处理的数据库服务器。
        IBM Informix Dymanic Server和Informix Extended Parallel Server包含安全问题,本地攻击者可以利用这些漏洞进行权限提升,访问文件系统等攻击。
        这些漏洞可导致获得root用户权限或读取所有系统文件。目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ibm:informix_extended_parallel_server:8.40_uc2IBM Informix Extended Parallel Server 8.40 UC2
cpe:/a:ibm:informix_extended_parallel_server:8.40_uc1IBM Informix Extended Parallel Server 8.40 UC1
cpe:/a:ibm:informix_dynamic_server:9.40.uc2IBM Informix IDS 9.40.UC2
cpe:/a:ibm:informix_dynamic_server:9.40.uc1IBM Informix IDS 9.40.UC1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2490
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2490
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1181
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107524391217364&w=2
(UNKNOWN)  BUGTRAQ  20030314 SRT2004-01-18-0747 - IBM Informix IDS 9.4 contains multiple vulnerabilities
http://www-1.ibm.com/support/docview.wss?uid=swg21153336
(VENDOR_ADVISORY)  MISC  http://www-1.ibm.com/support/docview.wss?uid=swg21153336
http://www.securityfocus.com/bid/9511
(UNKNOWN)  BID  9511
http://xforce.iss.net/xforce/xfdb/14949
(UNKNOWN)  XF  informix-ids-glpath-bo(14949)

- 漏洞信息

IBM Informix多个本地权限提升漏洞
中危 未知
2004-12-31 00:00:00 2006-01-25 00:00:00
本地  
        
        IBM Informix Dynamic Server是一款动态数据库管理软件,Informix Extended Parallel Server(XPS) 是并行处理的数据库服务器。
        IBM Informix Dymanic Server和Informix Extended Parallel Server包含安全问题,本地攻击者可以利用这些漏洞进行权限提升,访问文件系统等攻击。
        这些漏洞可导致获得root用户权限或读取所有系统文件。目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        IBM
        ---
        运行IBM Informix Dynamic Server 9.40.UC2及之前版本的用户建议升级到IBM Informix Dynamic Server 9.40.UC3。运行了IBM Informix Extended Parallel Server 8.40.UD1之前版本的用户建议升级到IBM Informix Extended Parallel Server 8.40.UD1。
        用户可以联系供应商获得补丁。
        
        http://www.ibm.com

- 漏洞信息

3756
IBM Informix Database GL_PATH Overflow
Local Access Required Input Manipulation
Loss of Integrity, Loss of Availability

- 漏洞描述

A local overflow exists in Informix. Some executable files fail to validate the GL_PATH environment variable resulting in a buffer overflow. With a specially crafted request, an attacker can cause arbitrary code to execute resulting in a loss of confidentiality, integrity, and/or availability.

- 时间线

2004-01-18 2004-01-18
Unknow Unknow

- 解决方案

Upgrade Informix Dynamic Server to version patch level IDS 9.40.UC3, 9.30.UC7 or 7.31.UD7 fix pack releases or higher. Upgrade Informix Extended Parallel Server to version patch level 8.40.UD1 fix pack releases or higher. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站